package com.utic.center.utic.traf.server.dao.mapper.utic;

import com.utic.center.utic.traf.server.dto.LinkCountDto;
import com.utic.center.utic.traf.server.dto.LinkDto;
import com.utic.center.utic.traf.server.dto.LogicalLinkDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface LinkMapper {

    LinkCountDto findLinkCount();
    List<LinkDto> findLinkAll(@Param("linkLevel") String linkLevel);

    List<LogicalLinkDto> findLogicalLinkAll(@Param("linkLevel") String linkLevel);
}
